be.ehealth.business.mycarenetdomaincommons.exception

## Class ConnectorValidationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - be.ehealth.technicalconnector.exception.ConnectorException
      - - be.ehealth.technicalconnector.exception.TechnicalConnectorException
        - - be.ehealth.business.mycarenetdomaincommons.exception.ConnectorValidationException

- All Implemented Interfaces:
    Serializable

      public final class ConnectorValidationException
      extends TechnicalConnectorException

  Thrown when a validation of an internal created object fails.
  Extends `TechnicalConnectorException`
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectorValidationException(List<ValidationError> validationErrors)` The list of validation errors.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ValidationError>` | `getValidationErrors()`

    - ### Methods inherited from class be.ehealth.technicalconnector.exception.TechnicalConnectorException

      `getCategory`

    - ### Methods inherited from class be.ehealth.technicalconnector.exception.ConnectorException

      `getErrorCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectorValidationException

          public ConnectorValidationException(List<ValidationError> validationErrors)

      The list of validation errors.
      Parameters:
        `validationErrors` -

  - ### Method Detail

    - #### getValidationErrors

          public List<ValidationError> getValidationErrors()

      Returns:
        the validationErrors

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.